const axios = require('axios');
const http = require('http');
const asyncPool = require('tiny-async-pool');
const httpAgent = http.Agent({ keepAlive: true });

const { CancelToken } = axios;

async function sendReq() {
  const source = CancelToken.source();
  console.log(new Date());
  return axios({
    cancelToken: source.token,
    encoding: null,
    httpAgent,
    method: 'get',
    responseType: 'stream',
    url: 'http://localhost:3333'
  });
}

asyncPool(20, Array(2000).fill(1), sendReq);
